
QGIS Application - Bug report #15000

Do not list virtual fields among editable fields in bar/field calculator

2016-06-10 08:38 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Field calculator

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22947

Description

afaics, virtual fields are set at the creation and can't be updated (change the expression set). Thus, they should not be proposed in the

drop-down list of fields to calculate, either in the field calculator or the bar calculator.

Associated revisions

Revision 1877bcd0 - 2016-06-11 12:29 PM - Matthias Kuhn 

Only show writable fields in field calculator

Fix #15000

History

#1 - 2016-06-11 03:30 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"1877bcd0815c32150d651765c93f5eec06e8b242".
